// SIPAST_CommonDlgs.inc
// Description: Dialogs and Simulation menu for up to 4 Transducer and Function Blocks
// $Revision: 1.2 $
// $Date: 2006/04/07 11:27:04 $


#define EXTRA_ITEMS_VIEW_MENU_SPECIALIST_COMMON_DLGS	Menu_S_alarm, OnlineWindow_diagnosis
#define EXTRA_ITEMS_VIEW_MENU_MAINTENANCE_COMMON_DLGS	Menu_M_alarm, OnlineWindow_diagnosis
#define EXTRA_ITEMS_DEVICE_MENU_SPECIALIST_COMMON_DLGS	Menu_simulation


// --- Diagnosis Dialog -------------------------------------------------------

MENU OnlineWindow_diagnosis
{
	LABEL		[menu_dialog_diagnosis];
	ITEMS
	{
		Page_diagnosis_overview,
		Page_diagnosis_general,
		Page_diagnosis_phys_block,
		Page_diagnosis_trans1,

#ifdef TRANS2_AVAILABLE
		Page_diagnosis_trans2,
#endif

#ifdef TRANS3_AVAILABLE
		Page_diagnosis_trans3,
#endif

#ifdef TRANS4_AVAILABLE
		Page_diagnosis_trans4,
#endif


#ifdef FUNC1_AVAILABLE
		Page_diagnosis_func1,
#endif

#ifdef FUNC2_AVAILABLE
		Page_diagnosis_func2,
#endif

#ifdef FUNC3_AVAILABLE
		Page_diagnosis_func3,
#endif

#ifdef FUNC4_AVAILABLE
		Page_diagnosis_func4,
#endif
	}
}


MENU Page_diagnosis_overview
{
	LABEL	[menu_dialog_overview];
	ITEMS
	{
		trans1.actual_mode,

#ifdef TRANS2_AVAILABLE
		trans2.actual_mode,
#endif

#ifdef TRANS3_AVAILABLE
		trans3.actual_mode,
#endif

		func1.actual_mode,

#ifdef FUNC2_AVAILABLE
		func2.actual_mode
#endif

#ifdef FUNC3_AVAILABLE
		func3.actual_mode
#endif

#ifdef FUNC4_AVAILABLE
		func4.actual_mode
#endif


	}
}


// --- Alarm Menu -------------------------------------------------------------

MENU Menu_S_alarm
{
	LABEL		[menu_dialog_alarm];
	ITEMS
	{
#ifdef FUNC1_AVAILABLE
		OnlineWindow_S_alarm_func1,
#endif

#ifdef FUNC2_AVAILABLE
		OnlineWindow_S_alarm_func2,
#endif

#ifdef FUNC3_AVAILABLE
		OnlineWindow_S_alarm_func3,
#endif

#ifdef FUNC4_AVAILABLE
		OnlineWindow_S_alarm_func4,
#endif
	}
}



MENU Menu_M_alarm
{
	LABEL		[menu_dialog_alarm];
	ITEMS
	{
#ifdef FUNC1_AVAILABLE
		OnlineWindow_M_alarm_func1,
#endif

#ifdef FUNC2_AVAILABLE
		OnlineWindow_M_alarm_func2,
#endif

#ifdef FUNC3_AVAILABLE
		OnlineWindow_M_alarm_func3,
#endif

#ifdef FUNC4_AVAILABLE
		OnlineWindow_M_alarm_func4,
#endif
	}
}



// --- Simulation Menu --------------------------------------------------------

MENU Menu_simulation
{
	LABEL		[menu_dialog_simulation];
	ITEMS
	{
#ifdef FUNC1_SIMULATION_AVAILABLE
		OnlineDialog_simulation_func1
#endif

#ifdef FUNC2_SIMULATION_AVAILABLE
		,OnlineDialog_simulation_func2
#endif

#ifdef FUNC3_SIMULATION_AVAILABLE
		,OnlineDialog_simulation_func3
#endif

#ifdef FUNC4_SIMULATION_AVAILABLE
		,OnlineDialog_simulation_func4
#endif
	}
}

